<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
define('IN_IORANGE', true);
require_once 'include/init.php';

$channel = S::gp('c', 2);
$cid = 'bacn3504_19600_D_1';
if ($_GET['cid'])
{
	$cid = S::gp('cid');
}
$key = trim(S::gp('keyword'));

$url = 'http://ad2.easou.com:8080/j10ad/views/common/ea.jsp?channel='.$channel.'&cid='.$cid.'&key='.$key;

$log = array(
    'valid' => IS_MOBILE ? 1 : 0,
    'uid' => $iorange_id,
    'ua' => $_SERVER['HTTP_USER_AGENT'],
    'key' => $key,
    'createdate' => CDATETIME,
);
$db->insert('ig_easoulogs')->value($log)->q();
iforward($url);
